Subject: Re: untarring symlinks with ../ fails randomly
From: Dima Pasechnik <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 26 Apr 2011 11:43:47 +0800
List-Id: <cygwin.cygwin.com>

Dear all,

that's roughly what I also sent to the list in reply to Corinna's message,
but it didn't get through (spamfilter? blacklist? - no idea).
I tried sending 4 times, and all these messages went to a black hole...

On 25 April 2011 22:59, Lester Ingber <[email-masked]> wrote:
> Corinna Vinschen <corinna-cygwin <at> cygwin.com> writes:
>
>>
>> On Apr 24 17:14, Dima Pasechnik wrote:
>> > Dear all,
>> > reposting, as the message did not get through to the mailing list yesterday:
>> >
>> > The issue I have is exactly as described in
>> > http://sourceware.org/ml/cygwin/2011-04/msg00299.html
>> > I can reproduce this on a very similar Windows 7 host.
>> > (To be precise, it seems hard to predict when creating symlinks fails;
>> > I could say
>> > that perhaps 20% of them, on average, are not created correctly (i.e.
>> > I get files of size 0 instead)).
>>
>> A simple testcase in plain C to reproduce the issue would be fine.
>> Did you try to create the symlinks under strace?  It should contain
>> some valuable hint from the function "symlink_worker".
>>
>> Corinna
>>
>
> The problem seems to be with untar, not tar per se.  Just today, I did `tar cp`
> a directory of a few hundred links under Cygwin.  Under an unbuntu machine I
> recovered all files and links just fine.  Under Cygwin, all files were 0 and
> permissions were "----------" instead of "lrwxrwxrwx" as in the original
> directory.  (Yesterday, half the links were 0.  After compiling tar-12.6 from
> gnu.org I still got 8 0's.  I then moved that tar to tar-1.26 yesterday.)  I
> include an excerpt of the log of `tar xfp` doing this with strace just for one
> file, index.html.
>

[...]

Dmitrii

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple